Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class ElementContext

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.ElementContext

    public class ElementContext
    extends Object

Data structure used by `MarkupHandler`.

### Nested Class Summary

Nested Classes
`static class` `ElementContext.Attribute`

### Constructor Summary

Constructors
`ElementContext​(String tagName, String openTagStartMarkup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAttribute​(String name, String value, char quoteChar)`
`void` `addPlugin​(PluginInvoke invoke, int priority)`
`void` `addPluginCall​(String name, PluginCallInfo info, Expression expression)`
`Iterable<ElementContext.Attribute>` `getAttributes()`
`String` `getOpenTagStartMarkup()`
`String` `getTagName()`
`PluginInvoke` `pluginInvoke()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementContext

    public ElementContext​(String tagName,
                          String openTagStartMarkup)

### Method Detail

#### getTagName

    public String getTagName()

#### getOpenTagStartMarkup

    public String getOpenTagStartMarkup()

#### addPlugin

    public void addPlugin​(PluginInvoke invoke,
                          int priority)

#### addAttribute

    public void addAttribute​(String name,
                             String value,
                             char quoteChar)

#### addPluginCall

    public void addPluginCall​(String name,
                              PluginCallInfo info,
                              Expression expression)

#### getAttributes

    public Iterable<ElementContext.Attribute> getAttributes()

#### pluginInvoke

    public PluginInvoke pluginInvoke()